<?php
/**
 * Template for displaying order checkout steps.
 *
 * Inherited from step template.
 *
 * @package Taskerr\Templates
 * @author  AppThemes
 * @since   Taskerr 1.0
 */
?>
<section>
	<header>
		<div class="singular-headline">
			<?php appthemes_before_page_title(); ?>
			<?php get_template_part( 'headliner', app_template_base() ) ?>
			<?php appthemes_after_page_title(); ?>
		</div>
	</header>

	<div class="singular-row row">

		<?php do_action( 'appthemes_notices' ); ?>

		<main id="main" class="large-9 medium-8 columns" role="main">

			<?php appthemes_before_page(); ?>

			<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
				<div id="overview" class="single-content white-con step">
					<div class="post-info">
						<?php
						appthemes_before_page_content();
						process_the_order();
						$order = get_order();
						if( in_array( $order->get_status(), array( APPTHEMES_ORDER_COMPLETED, APPTHEMES_ORDER_ACTIVATED ) ) ){
							$redirect_to = get_post_meta( $order->get_id(), 'complete_url', true );
							echo html( 'a', array( 'href' => $redirect_to ), __( 'Continue', APP_TD ) );
							echo html( 'script', 'location.href="' . $redirect_to . '"' );
						}
						appthemes_after_page_content(); ?>
					</div>
				</div>

				<!-- ad space -->
				<?php get_template_part( 'advert-bottom', app_template_base() ); ?>

			</div>

			<?php appthemes_after_page(); ?>

		</main><!-- /#main -->

		<div id="sidebar" class="large-3 medium-4 columns" role="complementary">
			<?php get_sidebar( app_template_base() ); ?>
		</div><!-- end #sidebar -->

	</div><!-- end row -->
</section>
